List risk matches | Parallel Developer Documentation

Parallel Developer Documentation Legacy – v1.x

This documentation is for the Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained. For up-to-date documentation, see the latest version (Current – v2.x).

Endpoint Description

This endpoint can be used to obtain a list of risk matches for a specific individual or business.

HTTP Request

GET https://api.parallelmarkets.com/v1/partner-records/{id}/risk-matches

Query Parameters

Pagination request parameters (optional).

Response Parameters

Parameter Description
data An array of Risk Match objects associated with the individual or business.
pagination A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records.

Example Response

{
  "data": [
    {
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo5NTA=",
      "created_at": "2023-06-07T09:54:33Z",
      "id": "VXNlclJpc2tNb25pdG9yTWF0Y2g6NDU=",
      "match_details": {
        "adverse_media": true,
        "birth_date": "1957-03-10",
        "currently_sanctioned": true,
        "deceased": true,
        "disqualified_director": false,
        "financial_regulator": true,
        "first_name": "Joe",
        "insolvent": false,
        "last_name": "Sanctioned",
        "middle_name": "PATRICK",
        "nationalities": ["RU"],
        "pep": true,
        "previously_sanctioned": false,
        "score": 100
      },
      "resolution": "likely-match",
      "resolution_id": "UG9kVXNlclJpc2tNYXRjaDoxMTU=",
      "resolution_notes": "Name, DOB, Nationality and picture indicate a likely match.",
      "resolved_at": "2023-06-07T09:54:33Z",
      "resolved_by": {
        "email": "reviewer@acme.com",
        "first_name": "John",
        "last_name": "Reviewer"
      }
    }
  ],

"pagination": {
    "next_cursor": "MTIzNDU="
  }
}